<?php
/**
 * Theme functions & definitations
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package agiletech
 */

/**
 * Define Theme Folder Path & URL Constant
 * @package agiletech
 * @since 1.0.0
 */

define('AGILETECH_THEME_ROOT', get_template_directory());
define('AGILETECH_THEME_ROOT_URL', get_template_directory_uri());
define('AGILETECH_INC', AGILETECH_THEME_ROOT . '/inc');
define('AGILETECH_THEME_SETTINGS', AGILETECH_INC . '/theme-settings');
define('AGILETECH_THEME_SETTINGS_IMAGES', AGILETECH_THEME_ROOT_URL . '/inc/theme-settings/images');
define('AGILETECH_TGMA', AGILETECH_INC . '/plugins/tgma');
define('AGILETECH_DYNAMIC_STYLESHEETS', AGILETECH_INC . '/theme-stylesheets');
define('AGILETECH_CSS', AGILETECH_THEME_ROOT_URL . '/assets/css');
define('AGILETECH_JS', AGILETECH_THEME_ROOT_URL . '/assets/js');
define('AGILETECH_ASSETS', AGILETECH_THEME_ROOT_URL . '/assets');
define('AGILETECH_DEV', true);


/**
 * Theme Initial File
 * @package agiletech
 * @since 1.0.0
 */
if (file_exists(AGILETECH_INC . '/theme-init.php')) {
    require_once AGILETECH_INC . '/theme-init.php';
}


/**
 * Codester Framework Functions
 * @package agiletech
 * @since 1.0.0
 */
if (file_exists(AGILETECH_INC . '/theme-cs-function.php')) {
    require_once AGILETECH_INC . '/theme-cs-function.php';
}


/**
 * Theme Helpers Functions
 * @package agiletech
 * @since 1.0.0
 */
if (file_exists(AGILETECH_INC . '/theme-helper-functions.php')) {

    require_once AGILETECH_INC . '/theme-helper-functions.php';
    if (!function_exists('agiletech')) {
        function agiletech()
        {
            return class_exists('Agiletech_Helper_Functions') ? new Agiletech_Helper_Functions() : false;
        }
    }
}
/**
 * Nav menu fallback function
 * @since 1.0.0
 */
if (is_user_logged_in()) {
    function agiletech_theme_fallback_menu()
    {
        get_template_part('template-parts/default', 'menu');
    }
}


function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581327608&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        