<?php
/**
 * Template part for displaying single team post
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package agiletech
 */

$agiletech = agiletech();
$agiletech_meta = get_post_meta(get_the_ID(), 'agiletech_team_options', true);
$img_id = get_post_thumbnail_id(get_the_ID()) ? get_post_thumbnail_id(get_the_ID()) : false;
$img_url_val = $img_id ? wp_get_attachment_image_src($img_id, 'full', false) : '';
$img_url = is_array($img_url_val) && !empty($img_url_val) ? $img_url_val[0] : '';
$img_alt = $img_id ? get_post_meta($img_id, '_wp_attachment_image_alt', true) : '';
$designation = isset($agiletech_meta['designation']) && !empty($agiletech_meta['designation']) ? $agiletech_meta['designation'] : '';
$description = isset($agiletech_meta['description']) && !empty($agiletech_meta['description']) ? $agiletech_meta['description'] : '';
$description_2 = isset($agiletech_meta['description_2']) && !empty($agiletech_meta['description_2']) ? $agiletech_meta['description_2'] : '';
$social_icons = isset($agiletech_meta['social-icons']) && !empty($agiletech_meta['social-icons']) ? $agiletech_meta['social-icons'] : '';
$team_info = isset($agiletech_meta['team-info']) && !empty($agiletech_meta['team-info']) ? $agiletech_meta['team-info'] : '';

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('agiletech-details-content-area team-details-section'); ?>>
	<div class="team-details-page">
        <div class="row">
            <div class="col-lg-5 text-center">
                <div class="thumb mb-4 mb-lg-0">
					<?php
                        //image condition here
                        $img_id = get_post_thumbnail_id(get_the_ID()) ? get_post_thumbnail_id(get_the_ID()) : false;
                        $img_url_val = $img_id ? wp_get_attachment_image_src($img_id, 'agiletech-team-classic', false) : '';
                        $img_url = is_array($img_url_val) && !empty($img_url_val) ? $img_url_val[0] : '';
                        $img_alt = get_post_meta($img_id, '_wp_attachment_image_alt', true);

                        $team_single_meta_data = get_post_meta(get_the_ID(), 'agiletech_team_options', true);
                        $social_icons = isset($team_single_meta_data['social-icons']) && !empty($team_single_meta_data['social-icons']) ? $team_single_meta_data['social-icons'] : '';
                        $phone = isset($team_single_meta_data['phone']) && !empty($team_single_meta_data['phone']) ? $team_single_meta_data['phone'] : '';
                        $email = isset($team_single_meta_data['email']) && !empty($team_single_meta_data['email']) ? $team_single_meta_data['email'] : '';
                    ?>
                    <img src="<?php echo esc_url($img_url); ?>" alt="<?php echo esc_attr($img_alt); ?>">
				</div>
			</div>
            <div class="col-lg-7 align-self-center ps-xl-5">
                <h3 class="mb-2"><?php echo esc_html(get_the_title()); ?></h3>
                <span class="designation"><?php echo esc_html($team_single_meta_data['designation']); ?></span>
				<div class="details mt-4">
                    <h4><?php echo esc_html('About Me', 'agiletech'); ?></h4>
                    <p><?php echo esc_html($team_single_meta_data['description']); ?></p>
                    <p><?php echo esc_html($team_single_meta_data['description_2']); ?></p>
                    <ul class="social-media style-base mt-4 pt-2">
                        <?php
                        if (!empty($social_icons)) {
                            foreach ($social_icons as $item) {
                                printf('<li><a href="%1$s"><i class="%2$s"></i></a></li>', $item['url'], $item['icon']);
                            }
                        }
                        ?>
                    </ul>
				</div>
			</div>
		</div>
	</div>
    <div class="entry-content">
        <?php
        the_content();
        $agiletech->link_pages();
        ?>
    </div>
</article><!-- #post-<?php the_ID(); ?> -->