<?php
/**
 * Theme Default Footer
 * @package agiletech
 * @since 1.0.0
 */

$copyright_text = !empty(cs_get_option('copyright_text')) ? cs_get_option('copyright_text'): esc_html__('© Agiletech 2023 All Rights Reserved','agiletech');
$copyright_text = str_replace('{copy}','&copy;',$copyright_text);
$copyright_text = str_replace('{year}',date('Y'),$copyright_text);
$footer_shortcodes = cs_get_option('footer_shortcode');
$footer_shortcode_class = '';
if (!empty($footer_shortcodes)) {
    $footer_shortcode_class = 'footer-top-space';
}
?>
<div class="footer-style bg-black bg-cover <?php echo esc_attr($footer_shortcode_class); ?>">
    <footer class="footer-wrap">
        <?php echo do_shortcode($footer_shortcodes); ?>
        <div class="container">
            <?php get_template_part('template-parts/content/footer-widget'); ?>
        </div>
        <div class="copyright-wrap">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 align-self-center">
                        <div class="copyright-content">
                            <div class="copyright-text">
                                <?php
                                echo wp_kses($copyright_text, agiletech()->kses_allowed_html(array('a')));
                                ?>
                            </div>
                        </div>
                    </div>
                    <?php if ( has_nav_menu( 'footer-menu' ) ){ ?>
                        <div class="col-lg-6  text-lg-end align-self-center">
                            <?php wp_nav_menu(array(
                                'theme_location' => 'footer-menu',
                            )); ?>
                        </div>  
                    <?php } ?>
                </div>
            </div>
        </div>
    </footer>
</div>
